SocialHub.AI
リソース · 開発者センター

電子メール配信プロバイダー

すでに実行している電子メール プロバイダーを通じて送信します。管理者は、バック オフィスで 1 つ以上のプロバイダーと順序付けられたフォールバックを構成します。 Flash は、それらをウォーターフォールとして送信し、常にプラットフォームの管理対象電子メール サービスで終了します。プロバイダーは トランスポート スワップのみ です。Flash は引き続きトラッキング、パーソナライゼーション、A/B ブランチ、購読解除処理自体を挿入するため、キャンペーンの構築方法や測定方法については何も変わりません。

接続できるもの

[設定] → [電子メール プロバイダー] で組織管理者によって設定されます。マーケティング担当者がキャンペーンごとに設定することはありません。

送信グリッド

SendGrid アカウントを API キーで接続します。 Flash は v3 メール API 経由で送信します。

Amazon SES (あなたのアカウント)

独自の AWS SES アカウント (アクセスキー / リージョン / 検証元) を持参してください。プラットフォームのフォールバック SES とは異なります。

カスタム REST — 任意の ESP

任意のプロバイダーの JSON で Flash をポイントし、フィールド マップを含む API を送信します。待機するアダプターがありません。

Raw SMTP リレーはロードマップ上にありますが、まだ利用できません。今のところプロバイダーの API 経由で接続してください。

フォールバック滝

送信ごとに、設定した優先順位に従ってプロバイダーが試行されます。障害が発生しているプロバイダーまたは利用できないプロバイダーはスキップされ、配信は次のプロバイダーに移ります。プラットフォームのマネージド電子メール サービスは常に端末フォールバックです。

// Providers are tried in the priority order an admin sets. The list ALWAYS ends at
// the platform's managed Amazon SES account (the terminal fallback), which uses its
// own verified from-address so a fallback never bounces on an unverified domain.
Priority 1  →  SendGrid            (your account)
Priority 2  →  Amazon SES          (your own AWS account)
Priority 3  →  Custom REST         (any ESP with a send API)
Terminal    →  Platform Amazon SES (always on — the safety net)
// A provider that errors or is circuit-broken is skipped; delivery falls to the next.

カスタム REST を使用して ESP を接続します

プロバイダーが組み込まれていない場合は、その send API によって接続します。エンドポイント、認証ヘッダー、およびフィールド マップを指定します。コードやアダプターを構築する必要はありません。

// A "Custom REST" provider connects ANY ESP that exposes a JSON send API — no
// code, just configuration. An admin supplies the endpoint, the auth header, and a
// field map; Flash builds the request per message. Example (a generic ESP):
{
  "provider": "custom_rest",
  "config": {
    "endpoint":    "https://api.your-esp.com/v1/send",
    "authHeader":  "Authorization",
    "authScheme":  "Bearer",              // → "Authorization: Bearer <apiKey>"
    "toField":     "to",
    "fromField":   "from",
    "subjectField":"subject",
    "htmlField":   "html"
  },
  "secret": { "apiKey": "sk_live_…" }      // encrypted at rest; never returned
}
// Per send, Flash POSTs: { "to": "...", "from": "...", "subject": "...", "html": "..." }
// with the auth header applied. 401/403 → credentials error (skip to next provider),
// 5xx/timeout → transient (skip to next provider). The HTML already carries Flash's
// own tracking pixel + link redirects, so opens/clicks keep working.

購読解除を Flash に同期して戻します

独自のプロバイダーを通じて送信する場合、オプトアウトは Flash の外部、つまり ESP、プリファレンス センター、またはフォームによって取得される場合があります。 Unsubscribe API を使用してそれらをプッシュバックすると、Flash は送信のたびにそのアドレスを抑制します。アドレスのオプトアウト ステータスを読み取ることもできます。テナント API キーを使用して認証します。電子メールがアイデンティティです。

// Push an opt-out INTO Flash — from your ESP's unsubscribe webhook, your own
// preference center, or a third-party form. Flash then suppresses this address on
// EVERY campaign send (the same signal the audience resolver checks). Idempotent.
POST https://flash.socialhub.ai/api/v2/members/unsubscribe
Authorization: Bearer fl_live_…            // scope: members:write
Content-Type: application/json
{ "email": "ada@acme.com" }
// → 200  { "data": { "email": "ada@acme.com", "unsubscribed": true } }

// Read an address's opt-out status (e.g. reconcile before a bulk send):
GET https://flash.socialhub.ai/api/v2/members/unsubscribe?email=ada@acme.com
Authorization: Bearer fl_live_…            // scope: members:read
// → 200  { "data": { "email": "ada@acme.com", "unsubscribed": true } }

// Re-subscribing is deliberately NOT an API toggle — re-granting marketing consent
// needs provable opt-in (CAN-SPAM / CASL), so it goes through the member's own
// consent flow, never this endpoint.

資格情報を安全に保管する方法

保存時に暗号化される

すべてのプロバイダー シークレットはすぐに暗号化され (AES-256-GCM)、API によって返されたり、再度表示されたりすることはありません。UI では書き込み専用です。

管理者専用

組織の所有者/管理者のみがプロバイダーを追加、並べ替え、テスト、削除できます。マーケティング担当者はプロバイダーを確認したり選択したりすることはありません。

トランスポートのみ

プロバイダーはメッセージを伝えます。 Flash は引き続きトラッキング、パーソナライゼーション、A/B、購読解除ヘッダー、およびフリークエンシー キャップを所有しています。いずれも変更せずにプロバイダーを交換できます。

デフォルトで安全

プロバイダーの構成を読み取れない場合、またはすべてのプロバイダーに障害が発生した場合、配信はプラットフォームの管理された電子メール サービスにフォールバックされ、送信が停止することはありません。

参照: クロスチャネル配信 · REST API

独自の電子メールプロバイダーを使用しますか?

ESP、配信可能性、フォールバック戦略、または API によるプロバイダーの接続についてエンジニアに相談してください。

エンジニアリングに相談する